/*
   This program is provided under the LGPL license ver 2.
   Written by Katsumi.
   http://hp.vector.co.jp/authors/VA016157/
   kmorimatsu@users.sourceforge.jp
*/

#define MAIN
#include "main.h"

#define rand(x) (((((x>>15)^(x>>14))^((x>>12)^(x>>3)))&1)|(x<<1))

// Clock settings
// SYSCLK = 42.95454 Mhz, PBCLK = 42.95454 Mhz.

// Primary oscillator setting, HS for 14.31818 MHz (between 10 and 25)
// This setting can be also used for external oscillator input
#pragma config POSCMOD = HS
// Primary Osc with PLL
#pragma config FNOSC = PRIPLL
// Div 3 to make 4.772727 MHz
#pragma config FPLLIDIV = DIV_3
// Mul 21 to make 100.22726 MHz
#pragma config FPLLMUL = MUL_21
// Div 2 to make 50.11363 MHz
#pragma config FPLLODIV = DIV_2
#pragma config FPBDIV = DIV_1

// Test with internal RC oscillator
//#pragma config FNOSC = FRCPLL
//#pragma config FPLLIDIV = DIV_2


// MISC disabled
#pragma config FSOSCEN = OFF
#pragma config IESO = OFF
#pragma config OSCIOFNC = OFF
#pragma config FCKSM = CSDCMD
#pragma config JTAGEN = OFF
#pragma config ICESEL = ICS_PGx2
#pragma config DEBUG = OFF
#pragma config PMDL1WAY = OFF
#pragma config IOL1WAY = OFF
#pragma config FUSBIDIO = OFF
#pragma config FVBUSONIO = OFF

// WDT disabled
#pragma config WDTPS = PS1, FWDTEN = OFF, WINDIS = OFF, FWDTWINSZ = WISZ_25

// protection all off
#pragma config PWP = OFF, BWP = OFF, CP = OFF


void main(){
	unsigned long i;
	// Initialization routines
	INTEnableSystemMultiVectoredInt();
	ntsc_init();

	TRISBbits.TRISB6=0;
	while(1);
}
